# The following should match PROGRAM, VERSION and RELEASE in the
# Makefile accompanying this program (and the .tgz defined in Source
# below.

%define builddir $RPM_BUILD_DIR/%{name}-%{version}.%{release}

Summary: The core library of the wulfstat family of xmlsysd clients

Name: libwulf
Version: 1.0.1
Release: 1
Group: Applications/System
License: Open Source (GPL v2b)
Source: %{name}-%{version}.tgz
Requires: libxml2
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description 

libwulf is the core common library required by wulfstat and wulflogger,
two xmlsysd clients that poll and display various statistics from a
cluster in a user-controllable loop.  libwulf contains routines that
open and parse a wulfhosts (cluster/lan descriptor) file, establish
xmlsysd connections in a threaded subtask to all hosts in the wulfhosts
file, and in parallel with this initialize and update selected
statistics.  libwulf functions form an API adequate to support many
kinds of toplevel log and gui applications reasonably efficiently.

%prep
%setup -q -n %{name}

%build
make clean
make

%install
make PREFIX=%{buildroot}/usr install

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}

%files 
%defattr(-,root,root)
# The libwulf library
/usr/lib/libwulf.a
/usr/lib/libwulf.so.%{version}

# The libwulf include file
/usr/include/libwulf.h
/usr/include/libwulf_copyright.h
/usr/include/libwulf_commands.h
/usr/include/libwulf_llist.h
/usr/include/libwulf_prototypes.h
/usr/include/libwulf_values.h
/usr/include/libwulf_wulfhost.h
/usr/include/libwulf_wulfhosts.h

# The wulflogger man page
/usr/share/man/man3/libwulf.3.gz

# The libwulf docs
%doc README COPYING CHANGELOG

%post

cd /usr/lib
ln -sf libwulf.so.%{version} libwulf.so 
ldconfig -n .

%postun

rm -f /usr/lib/libwulf.so
ldconfig

%changelog
* Wed Feb  11 2004 Robert G. Brown <rgb@duke.edu>
- Working
